{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./microvm-staging.nix
    ./microvms.nix
  ];

  c3d2.hq.statistics.enable = true;
  c3d2.deployment.microvmBaseZfsDataset = "server10/vm";

  boot= {
    loader.grub = {
      enable = true;
      version = 2;
      device = "/dev/sda";
    };

    # kernelPackages = config.boot.zfs.package.latestCompatibleLinuxPackages;
    kernelParams = [
      "preempt=none"
      # No server/router runs any untrusted user code
      "mitigations=off"
    ];
    tmpOnTmpfs = true;
    tmpOnTmpfsSize = "80%";
  };

  networking = {
    hostName = "server10";
    # TODO: change that to something more random
    hostId = "10101010";
  };

  networking.firewall = {
    enable = true;
    allowedTCPPorts = [ 22 ];
  };

  services.openssh.enable = true;

  system.stateVersion = "21.11"; # Did you read the comment?
}
